
    section {
      padding: 2rem;
      font-size: large;
      margin: auto;


    }

    .about, .products, .contact {
      max-width: 900px;
      margin: auto;
    }
    .contact{
          background-color: #ffffff !important; /* Full white for best contrast */
        border-radius: 12px;
          box-shadow: 0 4px 10px rgba(0,0,0,0.2);
      margin-top: 0px;
    }
    .products {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
      gap: 2rem;
      margin-bottom: 0px;
    }

    .product-card {

      padding: 1rem;
      border-radius: 100px 8px;
      text-align: center;
      height: max-content;
      box-shadow: 2px 4px 8px rgba(0, 0, 0, 0.8);
      background-color: #fcfffd;
      color: rgb(8, 8, 8);
      box-sizing: content-box;
      transition: all 0.2s ease;
      font-weight: 500;
    }
    #search-btn {
    display: none;
    cursor: pointer;
    font-size: 18px;
    color: white;
    padding: 16px;
    background: transparent;
}
    .product-card:hover{

      transform: translatey(-20px);
      box-shadow: 0 8px 12px rgb(65, 64, 64);

      cursor: pointer;
    }
    p{
      font-size: 24px;
    }
    .product-card a{
      text-decoration: none;
      font-size: 24px;
    }

    .product-card p{
      font-weight: 400;
    }
    .tag-line {
      font-style: italic;text-align: center;color: #013b01;font-weight: 600;
      font-size: 32px;
    }

    .about h2{
      color: #030303;

    }
    .about p{
          /* Dark overlay for readability */
          padding: 20px;
          border-radius: 8px;
          line-height: 1.8;
          color: #030303;
          box-shadow: 2px 4px 4px black;
          box-sizing: border-box;
          background: rgb(255, 254, 254);
          font-style: italic;
         

    }
    .product-card img {
      height: 300px;
      width: 100%;
      border-radius: 50%;
      object-fit: 	cover;
      aspect-ratio: 1/1;
    }

    .shop-btn{
      background: green;
      color: white;
      width: 50px;
      border-radius: 50px;
      padding: 10px;


    }
    .shop-btn:hover {
      background-color: #1b5e20;
    }
    .food{
      color: #030303;
    }


    footer {
      background-color: #2e7d32;
      color: white;
      text-align: center;
      padding: 1rem;
    }

    @media (max-width: 768px) {

  .complex{
    text-align: center;
  }
  .h1{
    font-size: 24px;
  }
  .h2{
    font-size: 22px;
  }
  .h3{
    font-size: 18px;
  }
  .p{
    font-size: 14px;
    line-height: 1.6;
  }
      #search-btn {
        display: block;
        margin-right: auto;
          background: none;
  border: none;
  color: #fff;
  font-size: 1.25rem;
  cursor: pointer;
  padding: 0.5rem;
    }
    .tag-line{
      font-size: 24px;
    }
    }
  @media  (max-width: 768px){
      .Search{
        max-width: 	90%;
      }
    }
